Bug 110259 - removing gdm forgets to change default initlevel.
removing gdm forgets to change default initlevel.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-17 12:34 EST by Dave Jones
Modified: 2015-01-04 17:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 18:14:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2003-11-17 12:34:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030 Galeon/1.3.10

Description of problem:
I removed the gdm (and all the X related rpms) with rpm -e, but the
default runlevel remained at 5, which caused the logs to be flooded with

Nov 17 14:50:06 mesh init: Id "x" respawning too fast: disabled for 5
minutes



Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. rpm -e gdm
2.
3.
    

Actual Results:  default runlevel changed back to 3


Additional info:
Comment 1 Mike McLean 2003-11-17 12:59:58 EST
I'm not sure that gdm should do this. After all a different display
manager (such as kdm) might be in use.
Comment 2 Dave Jones 2003-11-20 13:21:08 EST
Could we at least in post removal do something like

echo "if you no longer have a display manager installed, change
default runlevel in /etc/inittab"

?

Better would be refcounting the display managers as theyre
installed/removed, and change it when it hits zero, but thats
obviously more work.
Comment 3 Miloslav Trmac 2003-11-20 13:25:06 EST
http://fedora.redhat.com/participate/developers-guide/ch-rpm-building.html
advises strongly against this.

There is also the possibility for /etc/X11/prefdm to (/sbin/telinit 3)
if it finds no *dm.
Comment 4 Ray Strode [halfline] 2005-05-11 18:14:03 EDT
Fedora Core 1 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.